1 Reply Latest reply on Oct 17, 2007 10:25 AM by Philip Tenn

    Results: jboss-4.0.4 AS and jbossws-2.0.1 Integration

    Philip Tenn Newbie

      Hi All,

      Well, thanks to help from Richard's posts, I was able to get jboss-4.0.4 AS working with jbossws-2.0.1.

      I was still getting an error:


      java.lang.NoSuchMethodError: javax.xml.bind.JAXBContext.newInstance([Ljava/lang/Class;)Ljavax/xml/bind/JAXBContext;


      However, I tracked this down to the fact that jboss-4.0.4 AS ships with JAXB 1.x (not sure exact version, but I checked method signatures and know it is prior to JAXB 2), and jboss-ws 2.0.1 requires JAXB 2.

      A JIRA entry by Thomas also confirms this:

      http://jira.jboss.com/jira/browse/JBWS-947

      If I do as Thomas suggested and drop in the jaxb-api.jar into the endorsed directory, it works. I did verify this, as a test.

      However, this is not a viable solution for us, nor is modifying the contents of the jboss-j2ee.jar and jbossall-client.jar. So basically I've reached a dead-end in terms of jboss-4.0.4 and jbossws-2.0.1 integration.

      Hopefully this information will be useful for someone who is trying to run jboss-4.0.4 AS with jbossws-2.0.1 and is able to make one of the two fixes described in http://jira.jboss.com/jira/browse/JBWS-947

      As for me ... I'll have to look toward going to jboss-4.2.x AS and hopefully there won't be a JAXB conflict there, or look into another Web Services implementation.

      Thanks,

      Philip Tenn